## pypy3 7.0.0+dfsg

=== debian/changelog ===
pypy3 (7.0.0+dfsg-3) unstable; urgency=medium

  * Let pypy3 attempt to build on hurd. It has been previously ported.
  * Fix webbrowser module. We had a patch that wasn't well ported to pypy3.
  * Patch hurd-sysmacros: Include <sys/sysmacros.h> on GNU/Hurd.
  * Remove old copyright file blocks for lib-python/2.7, it's no longer
    included, upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 20 Feb 2019 17:31:35 -0800

pypy3 (7.0.0+dfsg-2) unstable; urgency=medium

  * Remove dh_builddeb override, no longer necessary.
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Don't use dh_python3, it wasn't doing anything, anyway.
  * Patches from upstream release branch:
    - Set the version to 7.0.0, accidentally updated in a merge.
    - hypothesis-crashes: Handle older hypothesis versions better.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 Feb 2019 19:08:43 +0200

pypy3 (7.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches avoid-rvmprof-dummy, hurd, and rvmprof-dummy. Superseded
    upstream.
  * Update copyright.
  * Clean up after the new "extra_tests" directory.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Feb 2019 15:34:05 +0200

pypy3 (6.0.0+dfsg-3) unstable; urgency=medium

  * Build-Depend on liblzma-dev, to build the lzma cffi module.
    Thanks Helmut Grohne. (Closes: #921494)
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Ignore lib_pypy/_testmultiphase.c in clean.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 06 Feb 2019 17:10:24 +0200

pypy3 (6.0.0+dfsg-2) unstable; urgency=medium

   * Upload to unstable.
   * Patch graphlib-dots: Print some more mandlebrot while breaking cycles, to
     avoid build timeouts.
   * Add some superficial autopkgtests.
   * Support pip 10 in ensurepip.
   * pypy3-lib-testsuite: Don't attempt to byte-compile lib2to3's test data.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 31 Jan 2019 18:16:35 +0100

pypy3 (6.0.0+dfsg-1) experimental; urgency=medium

  * Initial release (based on pypy 6.0.0+dfsg-2 packaging). (Closes: #762346)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 01 Jan 2019 20:02:42 +0000
