=== debian/control ===
Source: pypy3
Section: python
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 9.20141010~),
 dh-exec,
 dpkg-dev (>= 1.17.14~),
 libbz2-dev,
 libexpat1-dev,
 libffi-dev,
 libgdbm-dev,
 liblzma-dev,
 libncurses-dev,
 libsqlite3-dev,
 libssl-dev | libssl1.0-dev,
 netbase,
 pkg-config,
 procps,
 pypy [any-amd64 any-i386 armhf ppc64 ppc64el s390x],
 python (>= 2.6.6-11~),
 python-docutils,
 python-pycparser,
 python-sphinx (>= 1.0.7+dfsg),
 python3-dev,
 tcl-dev,
 tk-dev,
 valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
 zlib1g-dev
Build-Depends-Indep: graphviz
Standards-Version: 4.3.0
Homepage: http://pypy.org/
Vcs-Git: https://salsa.debian.org/debian/pypy3.git
Vcs-Browser: https://salsa.debian.org/debian/pypy3
Rules-Requires-Root: no

Package: pypy3
Architecture: any
Depends: pypy3-lib (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: pypy3-dev (<< ${source:Version})
Provides: ${pypy3-abi}
Suggests: pypy3-doc, pypy3-tk (= ${binary:Version})
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: fast alternative implementation of Python 3.x - PyPy interpreter
 PyPy is a fast, compliant alternative implementation of the Python language
 (3.x). It has several advantages and distinct features:
  * Speed: thanks to its Just-in-Time compiler (on x86), Python programs often
    run faster on PyPy.
  * Memory usage: large, memory-hungry Python programs might end up taking less
    space than they do in CPython.
  * Compatibility: PyPy is highly compatible with existing Python code.
    It supports ctypes and can run popular Python libraries like twisted and
    django.
  * Stackless: PyPy supports stackless mode on most platforms, providing
    micro-threads for massive concurrency.
 .
 This package contains the PyPy interpreter for Python 3.x.

Package: pypy3-tk
Architecture: any
Depends: pypy3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: Tkinter module for PyPy (an alternative Python 3.x interpreter)
 A module for writing portable GUI applications with PyPy using Tk.
 Also known as Tkinter.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (3.x).

Package: pypy3-lib
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Provides: ${cffi:Provides}
Description: standard library for PyPy (an alternative Python 3.x interpreter)
 The PyPy standard library. This is a combination of modules, copied directly
 from cpython, modified cpython modules, and modules entirely re-implemented
 (usually in pure Python, where they are C extensions in cpython).
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (3.x).

Package: pypy3-lib-testsuite
Architecture: all
Depends: pypy3, pypy3-lib (>= ${source:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: standard library test suite for PyPy (an alternative Python 3,x interpreter)
 The complete test suite for the PyPy standard library.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (3.x).

Package: pypy3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Suggests: python3-doc
Description: developer Documentation for PyPy (an alternative Python 3.x interpreter)
 The Developer documentation for PyPy. This mostly covers the internals of
 PyPy, and development of PyPy itself.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (3.x).

Package: pypy3-dev
Architecture: all
Depends: pypy3 (>= ${source:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Provides: libpypy-dev
Description: header files for PyPy (an alternative Python 3.x interpreter)
 Header files for compiling cpython C extension modules for use with PyPy.
 Note that pure Python modules will probably perform better.
 .
 PyPy supports a subset of cpython's C API through its CPyExt subsystem.
 .
 Also included is PyPy.h, for embedding the PyPy interpreter.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (3.x).
