## pypy3 7.1.1+dfsg

=== debian/changelog ===
pypy3 (7.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Strip blake2b.o from the orig tarball.
  * Switch to the 3.6 branch, the 3.5 branch is no longer being maintained
    upstream. (Closes: #993092)
  * Update watch file regex, upstream calls it pypy3.6 now.
  * Drop patches, superseded upstream: graphlib-dots, hypothesis-crashes,
    hurd-sysmacros.
  * Replace patch version-7.0.0 with version-7.1.1.
  * Refresh patches.
  * Update copyright.
  * Name pypy3{clean,compile} correctly in their own errors.
  * Drop multiarch-extensions.sh, not needed for pypy3.
  * Install _blake2 and _sha3 cffi modules.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 Aug 2019 12:50:05 -0300
