=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,6 @@
 
 	# Build cffi modules
 	debian/scripts/build-cffi-modules.py
-	debian/scripts/multiarch-extensions.sh
 
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
@@ -99,12 +98,13 @@
 	rm -rf pypy3-$(VER).orig
 	hg clone $(HG_REPO) pypy3-$(VER).orig
 ifeq (,$(REV))
-	cd pypy3-$(VER).orig && hg up -r release-pypy3.5-v$(VER)
+	cd pypy3-$(VER).orig && hg up -r release-pypy3.6-v$(VER)
 else
 	cd pypy3-$(VER).orig && hg up -r $(REV)
 endif
 	rm -rf pypy3-$(VER).orig/.hg*
 	rm pypy3-$(VER).orig/lib-python/*/distutils/command/*.exe
+	rm pypy3-$(VER).orig/lib_pypy/_blake2/impl/blake2b.o
 	rm -rf pypy3-$(VER).orig/lib-python/*/ensurepip/_bundled/
 	tar -cJ --owner root --group root --mode a+rX \
 	    -f pypy3_$(VER)+dfsg.orig.tar.xz pypy3-$(VER).orig
