## pypy3 7.3.1%2Bdfsg

=== debian/changelog ===
pypy3 (7.3.1+dfsg-4ubuntu0.1) focal-security; urgency=high

  * SECURITY UPDATE: Fix buffer overflow in SHA3 (Keccak) implementation.
  * References: CVE-2022-37454 (LP: #1995197).

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 29 Oct 2022 18:45:41 +0200

pypy3 (7.3.1+dfsg-4) unstable; urgency=medium

  * Revert change to pypy3clean in 7.3.1+dfsg-2, that broke package removal.
    Build knowledge of cPython compatibility into pypy3clean, to determine pyc
    filenames.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 21 Apr 2020 21:49:20 -0700

pypy3 (7.3.1+dfsg-3) unstable; urgency=medium

  * Fix sqlite3 cffi build on armhf, there was an error in the ctypes-arm
    patch.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 21 Apr 2020 09:21:37 -0700

pypy3 (7.3.1+dfsg-2) unstable; urgency=medium

  * Cherry-pick a sqlite3 regression patch.
  * Point to the installed stdlib in the pypy-local sysconfig layout.
  * Build out autopkgtests a little. Test: cffi lib importability, local
    package installation, virtualenvs, byte-compilation.
  * Add /usr/local/lib/pypy3.6/dist-packages to sys.path, so users can locally
    install packages. (Closes: #956412)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 20 Apr 2020 15:36:17 -0700

pypy3 (7.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release, upload to unstable
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 10 Apr 2020 12:34:21 -0700

pypy3 (7.3.1~rc2+dfsg-1) experimental; urgency=medium

  * New upstream RC, upload to experimental
  * Update copyright.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Refresh patches.
  * Update build-cffi-modules to use upstream's new library location.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 09 Apr 2020 16:05:54 -0700

pypy3 (7.3.0+dfsg-4) unstable; urgency=medium

  * Patch: Build Sphinx docs with Python 3. This requires disabling autodoc
    and other custom extensions.
  * Byte compile exception patterns (bcep) changes following python3-defaults
    (3.8.2-2):
    - new "file" type to list just one file
      example: file|-4.0|/usr/share/foo/test.py
    - ignore lines that start with hash char. (to allow comments)
    - tighten checking directory name (partial match was possible before)
    - in "re" type's pattern - check relative paths in addition to full path
      (i.e. no need to include directory path in the pattern)
      example: re|-4.0|/usr/lib/bar|baz/test.*\.py
    - only warn about invalid patterns (instead of failing)
  * Execute python2 (instead of python) during the build.
  * We don't need python-docutils, any more.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Mar 2020 19:16:53 -0700

pypy3 (7.3.0+dfsg-3) unstable; urgency=medium

  * Patch: Force s390x port to target z10 by default, fixing FTBFS.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 15 Jan 2020 09:53:22 +0000

pypy3 (7.3.0+dfsg-2) unstable; urgency=medium

  * Build-Depend on python2 instead of python.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Jan 2020 07:57:50 +0200

pypy3 (7.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch arm64-gcc-bug, superseded upstream.
  * Update copyright.
  * Build with pypy on arm64, now that we've bootstrapped the JIT.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Dec 2019 08:58:34 +0200

pypy3 (7.2.0+dfsg-1) unstable; urgency=medium

  * New upstream final release.
  * Upload to unstable.
  * Enable JIT and continuation module on arm64.
  * Refresh patches.
  * Patch arm64-gcc-bug: Avoid a GCC bug in the new arm64 JIT.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Nov 2019 11:56:38 -0700

pypy3 (7.2.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream RC, uploaded to experimental.
  * Revert: Strip blake2b.o from the orig tarball.
  * Refresh patches.
  * Drop patch plat-linux-differences, superseded in cPython 3.6.
  * Update copyright.
  * Bump Standards-Version to 4.4.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 03 Oct 2019 14:49:58 +0300
