=== debian/watch ===
version=3

# To repack, run debian/rules get-packaged-orig-source
opts=dversionmangle=s/\+dfsg// \
	https://bitbucket.org/pypy/pypy/downloads/ \
	pypy3.6-v([0-9.]+)-src\.tar\.bz2
