## pypy3 7.3.1+dfsg

=== debian/changelog ===
pypy3 (7.3.1+dfsg-4ubuntu1) groovy; urgency=medium

  * Disable module-install-local|user tests, as they fail with new
    setuptools.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Sep 2020 16:22:36 +0100

pypy3 (7.3.1+dfsg-4build2) groovy; urgency=medium

  * No change rebuild against new libffi8ubuntu1 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Aug 2020 12:14:03 +0100

pypy3 (7.3.1+dfsg-4build1) groovy; urgency=medium

  * No change rebuild against new libffi ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Aug 2020 13:43:09 +0100
