=== debian/tests/control ===
Tests: byte-compilation
Depends: pypy3, shunit2

Tests: command-line
Depends: pypy3, shunit2
Restrictions: superficial

Tests: pypy3-tk
Depends: pypy3-tk, shunit2
Restrictions: superficial

## Disable module-install-local|user, as it fails with new setuptools
#Tests: module-install-local Depends: build-essential, pypy3-dev,
#python3-setuptools, shunit2 Restrictions: needs-root

#Tests: module-install-user
#Depends: build-essential, pypy3-dev, python3-setuptools, shunit2

Tests: module-install-venv
Depends: build-essential, pypy3-dev, python-pip-whl, shunit2

Tests: module-install-virtualenv
Depends: build-essential, pypy3-dev, shunit2, virtualenv
