## pypy3 7.3.3+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -8,3 +8,6 @@
 # hypothesis is used for test generation on untranslated tests
 hypothesis<4.40
 enum34>=1.1.2
+
+# this is used by pypy/module/_hpy_universal/_vendored/hpy/devel
+pathlib
