=== debian/changelog ===
pypy3 (7.3.3+dfsg-3) unstable; urgency=medium

  * Patch: CVE-2021-23336: Only use '&' as a query string separator.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 25 Feb 2021 10:55:51 -0800

pypy3 (7.3.3+dfsg-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Drop patch s390x-z10, not needed since 7.3.1 dropped the assert we were
    protecting ourselves from.
  * Update s390x model target: z196 on Debian, zEC12 on Ubuntu < focal, z13 on
    Ubuntu >= focal.
  * Patch: Fix _crypt module's imports.
  * Patch: Fix utf-8 decode with errors=ignore.
  * Patch: Fix type annotation scoping bug.
  * Patch: Fix segfault in fcntl.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + pypy3-doc: Add Multi-Arch: foreign.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 19 Dec 2020 12:26:35 -0800

pypy3 (7.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 21 Nov 2020 10:46:01 -0800

pypy3 (7.3.3~rc1+dfsg-1) experimental; urgency=medium

  * New upstream RC release.
    - Upload to experimental.
  * Refresh patches.
  * Update copyright.
  * Drop patch ppc64-jit-regression, superseded upstream.
  * Drop patch xdg-gvfs-open. Superseded upstream in 2.3 :P
  * Drop patch test_termios. No longer needed.
  * Carry over bdist-wininst-notfound from Debian's python3.8 package.
  * Update Homepage.
  * Add UpstreamMetadata.
  * Point watch URL at downloads.python.org, bitbucket is no longer used.
  * Fix some warnings in our fibc test package.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 Nov 2020 16:28:10 -0800

pypy3 (7.3.2+dfsg-2) unstable; urgency=medium

  * Patch: Fix JIT breakage on ppc64.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 26 Sep 2020 15:27:37 -0700

pypy3 (7.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches pip-10 and sqlite3-isolation-regression, superseded upstream.
  * Patch: Disable sphinx-affiliates search, not yet available in Debian.
  * Add support for -V to pypy3compile. Given we support BCEP, it makes sense,
    and will reduce package install noise.
  * Update copyright.
  * Use upstream's tool to build cffi modules, directly. It is useable
    stand-alone, these days, and catches failures.
  * Reorganize patches and prefix their commit messages with a category.
  * Patch: Ignore InvalidTerminal exception in test_readline under TERM=dumb.
  * Patch: Handle InvalidTerminal in rlcompleter.
  * Patch: Ignore fcntl test lease failures known to occur on tmpfs on older
    kernels (e.g. current buildds).
  * Strip rpython/rlib/test/loadtest/loadtest*.dll from the source package.
  * Run pypyjit tests under python 2.
  * Tweak distutils-install-layout patch to avoid duplicate sys.path entries
    when not in the installed layout.
  * Fix ensurepip._uninstall, broken in our ensurepip-wheels patch.
  * Build-Depend on python-pip-whl, used by test_venv.
  * Disable zip_safe in our autopkgtest test packages with C extensions.
    setuptools 47.3.2 broke C extension imports from eggs.
  * Patch: Use the python2 binary to run the internal test suite. Debian
    doesn't have a python binary any more.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Sep 2020 20:29:03 -0700
