=== debian/control ===
--- 
+++ 
@@ -17,19 +17,19 @@
  netbase,
  pkg-config,
  procps,
- pypy [any-amd64 any-i386 armhf ppc64 ppc64el s390x],
- python (>= 2.6.6-11~),
- python-docutils,
+ pypy [any-amd64 any-i386 arm64 armhf ppc64 ppc64el s390x],
+ python-pip-whl,
  python-pycparser,
- python-sphinx (>= 1.0.7+dfsg),
+ python2,
  python3-dev,
+ python3-sphinx (>= 1.0.7+dfsg),
  tcl-dev,
  tk-dev,
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.3.0
-Homepage: http://pypy.org/
+Standards-Version: 4.5.0
+Homepage: https://www.pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy3.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy3
 Rules-Requires-Root: no
@@ -97,6 +97,7 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Suggests: python3-doc
+Multi-Arch: foreign
 Description: developer Documentation for PyPy (an alternative Python 3.x interpreter)
  The Developer documentation for PyPy. This mostly covers the internals of
  PyPy, and development of PyPy itself.
