=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
 
 	# Build cffi modules
-	debian/scripts/build-cffi-modules.py
+	pypy/goal/pypy3-c lib_pypy/pypy_tools/build_cffi_imports.py
 
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
@@ -55,9 +55,10 @@
 	          --pypy=pypy/goal/pypy3-c \
 	          --resultlog=build-tests/lib-python.log \
 	          lib-python || true
-	pypy/goal/pypy3-c -u pypy/test_all.py \
-	       --resultlog=build-tests/pypy-c.log \
-	       pypy/module/pypyjit/test_pypy_c || true
+	$(PYTHON) -u pypy/test_all.py \
+	          --pypy=pypy/goal/pypy3-c \
+	          --resultlog=build-tests/pypy-c.log \
+	          pypy/module/pypyjit/test_pypy_c || true
 endif
 
 override_dh_auto_install:
@@ -92,7 +93,7 @@
 
 HG_REPO ?= https://bitbucket.org/pypy/pypy
 REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
-VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
+VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p' | sed -e 's/~//')
 get-packaged-orig-source:
 	@echo "You can build this from a local repo by supplying the HG_REPO variable"
 	rm -rf pypy3-$(VER).orig
@@ -104,7 +105,7 @@
 endif
 	rm -rf pypy3-$(VER).orig/.hg*
 	rm pypy3-$(VER).orig/lib-python/*/distutils/command/*.exe
-	rm pypy3-$(VER).orig/lib_pypy/_blake2/impl/blake2b.o
+	rm pypy3-$(VER).orig/rpython/rlib/test/loadtest/loadtest*.dll
 	rm -rf pypy3-$(VER).orig/lib-python/*/ensurepip/_bundled/
 	tar -cJ --owner root --group root --mode a+rX \
 	    -f pypy3_$(VER)+dfsg.orig.tar.xz pypy3-$(VER).orig
