## pypy3 7.3.5%2Bdfsg

=== debian/changelog ===
pypy3 (7.3.5+dfsg-2+deb11u5) bullseye-security; urgency=medium

  * Apply security patches for CVEs in the standard library:
     * CVE-2024-6232: TarFile header parsing was vulnerable to ReDoS
     * CVE-2024-6923: The email module didn’t properly quote newlines for
       email headers allowing injections.
     * CVE-2024-7592: HTTP cookie parser incorrectly processed backslashes
       resulting in excessive CPU usage.
     * CVE-2024-11168 and CVE-2025-0938: Process square brackets in URLs
       according to RFC 3986.
     * CVE-2025-1795: Separating comma could be Unicode-encoded
     * CVE-2025-6069: html.parser.HTMLParser class had worse-case quadratic
       complexity when processing certain crafted malformed inputs
     * CVE-2025-8291: zipfile module did not check consistency of the zip64
       end of central directory record.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 31 Oct 2025 08:04:59 +0100

pypy3 (7.3.5+dfsg-2+deb11u4) bullseye-security; urgency=medium

  * Security patches to the standard library:
    - Apply cPython upstream security fix for CVE-2022-45061:
      Fix quadratic time idna decoding.
    - Apply cPython upstream security fix for CVE-2022-0391:
      Remove the newline, and tab early from query and fragments.
    - Apply cPython upstream security fix for CVE-2021-3737:
      Fix http client infinite line reading (DoS) after
      a HTTP 100 Continue.
    - Apply cPython upstream security fix for CVE-2024-9287:
      Quote template strings in `venv` activation scripts.
    - Apply cPython upstream security fix for CVE-2021-28861:
      Fix an open redirection vulnerability in http.server.
    - Apply cPython upstream security fix for CVE-2023-27043:
      Reject malformed addresses in email.parseaddr().
  * Apply upstream security fix CVE-2020-10735:
    Prevent DoS by large int<->str conversions,
    implement the int_max_str_digits handling.
  * Apply security fix for CVE-2020-29651 in the bundled python-py:
    svnwc: fix regular expression vulnerable to DoS.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Nov 2024 09:18:20 +0100

pypy3 (7.3.5+dfsg-2+deb11u3) bullseye-security; urgency=medium

  * Security patches to the standard library:
    - Apply cPython upstream security fix for CVE-2023-24329:
      Strip C0 control and space characters in urlsplit.
    - Apply cPython upstream security fix for CVE-2023-40217:
      Avoid bypass TLS of handshake protections on closed sockets.
    - Apply cPython upstream security fix for CVE-2023-6597:
      tempfile.TemporaryDirectory: fix symlink bug in cleanup.
    - Apply cPython upstream security fix for CVE-2024-0450:
      Protect zipfile from "quoted-overlap" zipbomb.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 06 Nov 2024 21:11:12 +0100

pypy3 (7.3.5+dfsg-2+deb11u2) bullseye-security; urgency=medium

  * Patch: Resolve CVE-2022-37454, a buffer overflow in SHA-3 (Keccak).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 01 Nov 2022 21:40:38 +0200

pypy3 (7.3.5+dfsg-2+deb11u1) bullseye; urgency=medium

  * Patch: Remove extraneous #endif from import.h (Closes: #1001519)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Dec 2021 11:54:46 -0400

pypy3 (7.3.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 03 Jun 2021 15:59:21 -0400

pypy3 (7.3.5+dfsg-1) experimental; urgency=medium

  * New upstream point release.
  * Refresh patches.
  * Drop patches cve-2021-3426 and ftplib-restrict-pasv, superseded upstream.
  * Drop Pre-Depends dpkg (>= 1.15.6~). xz is always supported, these days.
  * Move more translation logic into debian/scripts/translate.sh
  * Use the bundled pycparser for translation, so that Debian can drop the
    python-pycparser binary package.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 23 May 2021 08:05:03 -0400

pypy3 (7.3.4+dfsg-2) experimental; urgency=medium

  * Move pypy3 dependencies to Pre-Depends, as the pypy3 binary is used in
    package maintainer scripts. (Closes: #987908)
  * Remove pydoc getfile feature. (CVE-2021-3426)
  * security: Restrict ftplib PASV hosts (no CVE assigned).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 02 May 2021 12:32:41 -0400

pypy3 (7.3.4+dfsg-1) experimental; urgency=medium

  * New upstream release (identical to RC2).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 12 Apr 2021 17:05:09 -0400

pypy3 (7.3.4~rc2+dfsg-1) experimental; urgency=medium

  * New upstream RC.
  * Refresh patches.
  * Drop patch no-sphinx-affiliates, superseded upstream.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 05 Apr 2021 14:08:41 -0700

pypy3 (7.3.4~rc1+dfsg-1) experimental; urgency=medium

  * New upstream RC.
    - Upload to experimental.
    - Targeting Python 3.7 compatibility.
  * Refresh patches.
  * Drop patches, superseded upstream: core-type-annotation-scoping,
    core-utf8-errors-ignore, cve-2021-23336, fcntl-segfault, and
    fix-_crypt-imports.
  * Replace deprecated imp.get_tag() in the byte-compilation autopkgtest.
  * Update copyright.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump watch file version to 4.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 27 Mar 2021 08:32:38 -0700
