=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  procps,
  pypy [any-amd64 any-i386 arm64 armhf ppc64 ppc64el s390x],
  python-pip-whl,
- python-pycparser,
  python2,
  python3-dev,
  python3-sphinx (>= 1.0.7+dfsg),
@@ -28,7 +27,7 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy3.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy3
@@ -36,11 +35,14 @@
 
 Package: pypy3
 Architecture: any
-Depends: pypy3-lib (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Breaks: pypy3-dev (<< ${source:Version})
 Provides: ${pypy3-abi}
 Suggests: pypy3-doc, pypy3-tk (= ${binary:Version})
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends:
+ pypy3-lib (= ${binary:Version}),
+ ${misc:Pre-Depends},
+ ${shlibs:Pre-Depends}
 Description: fast alternative implementation of Python 3.x - PyPy interpreter
  PyPy is a fast, compliant alternative implementation of the Python language
  (3.x). It has several advantages and distinct features:
@@ -59,7 +61,6 @@
 Package: pypy3-tk
 Architecture: any
 Depends: pypy3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Description: Tkinter module for PyPy (an alternative Python 3.x interpreter)
  A module for writing portable GUI applications with PyPy using Tk.
  Also known as Tkinter.
@@ -71,7 +72,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Provides: ${cffi:Provides}
 Description: standard library for PyPy (an alternative Python 3.x interpreter)
  The PyPy standard library. This is a combination of modules, copied directly
@@ -84,7 +84,6 @@
 Package: pypy3-lib-testsuite
 Architecture: all
 Depends: pypy3, pypy3-lib (>= ${source:Version}), ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Description: standard library test suite for PyPy (an alternative Python 3,x interpreter)
  The complete test suite for the PyPy standard library.
  .
@@ -95,7 +94,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Suggests: python3-doc
 Multi-Arch: foreign
 Description: developer Documentation for PyPy (an alternative Python 3.x interpreter)
@@ -108,7 +106,6 @@
 Package: pypy3-dev
 Architecture: all
 Depends: pypy3 (>= ${source:Version}), ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Provides: libpypy-dev
 Description: header files for PyPy (an alternative Python 3.x interpreter)
  Header files for compiling cpython C extension modules for use with PyPy.
