=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,6 @@
 BUILDFLAGS_ENV += DEB_CFLAGS_MAINT_STRIP="-O0 -O1 -O2 -O3 -Os -Ofast -g"
 export CFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get CFLAGS)
 export LDFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)
-
-export PYPY_USESSION_BASENAME := debian
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-endif
 
 %:
 	dh $@ --with sphinxdoc
@@ -30,15 +24,8 @@
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
 
-pypy/goal/pypy3-c: export TMPDIR = $(CURDIR)/build-tmp
-pypy/goal/pypy3-c: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
 pypy/goal/pypy3-c:
-	rm -rf $(TMPDIR)
-	mkdir $(TMPDIR)
 	debian/scripts/translate.sh --python $(PYTHON)
-	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
-	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
-	cp $(C_SRC_DIR)/pypy3-c $(C_SRC_DIR)/libpypy3-c.so $(dir $@)
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test-arch: export TMPDIR = $(CURDIR)/build-tests-tmp
@@ -46,11 +33,13 @@
 override_dh_auto_test-arch:
 	rm -rf $(TMPDIR) build-tests
 	mkdir $(TMPDIR) build-tests
+	ln -sf lib_pypy/cffi/_pycparser/ pycparser
 	# Test failures currently ignored
 	PYTHONPATH=. $(PYTHON) -u testrunner/runner.py \
 	                       --logfile=build-tests/pytest-A.log \
 	                       --config=pypy/pytest-A.cfg \
 	                       --root=pypy || true
+	rm pycparser
 	TERM=$${TERM:-dumb} $(PYTHON) -u pypy/test_all.py \
 	          --pypy=pypy/goal/pypy3-c \
 	          --resultlog=build-tests/lib-python.log \
@@ -83,6 +72,10 @@
 override_dh_compress:
 	dh_compress -X.inv -X.txt
 
+override_dh_shlibdeps-arch:
+	dh_shlibdeps --package=pypy3 -- -dPre-Depends
+	dh_shlibdeps --arch --remaining-packages
+
 override_dh_installdeb:
 	set -e; for maintscript in preinst postinst prerm; do \
 		sed -e 's/#VERSION#/$(VER)/g' \
@@ -99,7 +92,7 @@
 	rm -rf pypy3-$(VER).orig
 	hg clone $(HG_REPO) pypy3-$(VER).orig
 ifeq (,$(REV))
-	cd pypy3-$(VER).orig && hg up -r release-pypy3.6-v$(VER)
+	cd pypy3-$(VER).orig && hg up -r release-pypy3.7-v$(VER)
 else
 	cd pypy3-$(VER).orig && hg up -r $(REV)
 endif
