## pypy3 7.3.9+dfsg

=== extra_tests/requirements.txt ===
pytest<=4.0
setuptools<60.0
hypothesis
vmprof
