=== debian/changelog ===
pypy3 (7.3.9+dfsg-1ubuntu0.1) jammy-security; urgency=high

  * SECURITY UPDATE: Fix buffer overflow in SHA3 (Keccak) implementation.
  * References: CVE-2022-37454 (LP: #1995197)

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 29 Oct 2022 18:49:55 +0200

pypy3 (7.3.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Synchronise module-install-* autopkgtests with python3 3.10.2-7:
    - Test install destination.
    - Test setuptools develop installations.
    - Test installation via pip (in virtualenvs, we don't have a pypy-pip
      package).
  * Correct a typo in the deb_system sysconfig layout.
  * Patch: Fix editable installs with setuptools < 60.0.1.
  * Add missing /local/ to data path in sysconfig posix_local scheme.
  * Improve support for setuptools > 60's bundled distutils in
    _distutils_system_mod, supporting a wider range of versions and more
    reliably selecting the posix_local scheme.
  * Use the same is_virtual_environment() proposed in PEP 668 across the site,
    sysconfig, and distutils modules. Stop checking for PYTHONUSERBASE or
    VIRTUAL_ENV environment variables.
  * Change the "include" and "platinclude" paths in the "posix_local" scheme
    to refer to the location of Python's headers, not the install location for
    modules' C headers.
  * Avoid infinite recursion in _distutils_system_mod when
    SETUPTOOLS_USE_DISTUTILS=local.
  * Avoid crashing in `_distutils_system_mod` if we find an older version of
    distutils (from before `_distutils_system_mod` was implemented).

 -- Stefano Rivera <stefanor@debian.org>  Thu, 31 Mar 2022 21:37:48 -0400

pypy3 (7.3.8+dfsg-2) unstable; urgency=medium

  * Correct the license for osx-roots.diff.
  * Build-Depend on valgrind-if-available, instead of a hardcoded arch list.
  * Update distutils-install-layout to provide a _distutils_system_mod module,
    as used by modern setuptools.
  * Fix --system-site-packages venvs, they weren't functioning due to a logic
    bug in the distutils-install-layout patch.
  * Add an autopkgtest to check sys.path setup.
  * Exclude /usr/lib/pypy3.8/site-packages/ from pypy3-lib, it's not used.
  * Declare Breaks python3-virtualenv (<< 20.13.0+ds-2~), as older versions
    won't create isolated virtualenvs for pypy3.8.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 04 Mar 2022 21:31:54 -0400

pypy3 (7.3.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Upload to unstable.
  * Refresh patches.
  * Drop RC2 patch, superseded by final release.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Feb 2022 14:19:13 -0400

pypy3 (7.3.8~rc1+dfsg-2) experimental; urgency=medium

  * Patch: Update to RC2
  * Drop patches cffi-bundled-pycparser and doc-version, superseded upstream.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Feb 2022 10:14:40 -0400

pypy3 (7.3.8~rc1+dfsg-1) experimental; urgency=medium

  * New upstream RC.
    - Targeting Python 3.8 compatibility.
    - Upload to experimental.
  * Refresh patches.
  * The package layout is updated to use the posix_* schemes, now that this is
    supported upstream.
  * Drop patches multiarch-tag, openssl-3.0.0, and platform-lsbrelease:
    superseded upstream.
  * PyPy.h was dropped upstream, cffi should be used for embedding PyPy.
  * Patch cffi-bundled-pycparser: Fix a cffi regression.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 30 Jan 2022 17:55:33 -0400

pypy3 (7.3.7+dfsg-5) unstable; urgency=medium

  * Re-instate pypy3-lib.prerm, duplicating the pypy3clean from pypy3.prerm to
    clean up pypy3-lib .pyc files before upgrading it. (See: #1004369)
    - Add some one-off cleanup for 7.3.7+dfsg-4.
  * Exclude make_ssl_data.py from pypy3-lib, this a developer tool.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 27 Jan 2022 07:43:51 -0400

pypy3 (7.3.7+dfsg-4) unstable; urgency=medium

  * Patch: OpenSSL 3.0.0 support.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 18 Jan 2022 17:05:06 -0400

pypy3 (7.3.7+dfsg-3) unstable; urgency=medium

  * Handle multiple wheels for the same package in python-pip-whl.
  * Mark module-install-venv and module-install-virtualenv autopkgtests as
    allow-stderr, too. Virtualenvs now get a newer setuptools.
  * Migrate to individual wheel packages. Add a new binary package, pypy3-venv
    to depend on the wheel packages. (Closes: #1003573)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 13 Jan 2022 19:05:35 -0400

pypy3 (7.3.7+dfsg-2) unstable; urgency=medium

  * Mark autopkgtests that call setup.py as allow-stderr. setuptools now emits
    a warning. (Closes: #1001721)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Dec 2021 11:45:03 -0400

pypy3 (7.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release, reverting accidental ABI change in 7.3.6.
  * Refresh patches.
  * ensurepip-wheels patch: Don't crash on an assertion in version() while
    building the argparse parser if python-pip-whl isn't installed, rather
    return None. (Closes: #996822)
  * ensurepip-disabled patch: Refer to python3-pip not python-pip.
  * Patch doc-version: Set upstream version to 7.3.7, in the docs.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Oct 2021 18:49:41 -0700

pypy3 (7.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Drop patches multiarch, multiarch-from-env superseded upstream.
  * Patch: Use the multiarch tuple in the import .so name, rather than
    incomplete heuristics. Fixes FTBFS on hppa.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 17 Oct 2021 11:33:01 -0700

pypy3 (7.3.6~rc2+dfsg-2) experimental; urgency=medium

  * Patch: determine the multiarch tuple from $DEB_HOST_MULTIARCH at build
    time, fixing FTBFS on non-JIT architectures.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Oct 2021 17:41:06 -0700

pypy3 (7.3.6~rc2+dfsg-1) experimental; urgency=medium

  * New upstream RC.
  * Refresh patches.

