=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pypy3
 Section: python
 Priority: optional
-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9.20141010~),
  dh-exec,
@@ -18,16 +19,17 @@
  pkg-config,
  procps,
  pypy [any-amd64 any-i386 arm64 armhf ppc64 ppc64el s390x],
- python-pip-whl,
  python2,
  python3-dev,
+ python3-pip-whl,
+ python3-setuptools-whl,
  python3-sphinx (>= 1.0.7+dfsg),
  tcl-dev,
  tk-dev,
- valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
+ valgrind-if-available,
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy3.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy3
@@ -36,7 +38,7 @@
 Package: pypy3
 Architecture: any
 Depends: ${misc:Depends}
-Breaks: pypy3-dev (<< ${source:Version})
+Breaks: pypy3-dev (<< ${source:Version}), python3-virtualenv (<< 20.13.0+ds-2~)
 Provides: ${pypy3-abi}
 Suggests: pypy3-doc, pypy3-tk (= ${binary:Version})
 Pre-Depends:
@@ -113,7 +115,18 @@
  .
  PyPy supports a subset of cpython's C API through its CPyExt subsystem.
  .
- Also included is PyPy.h, for embedding the PyPy interpreter.
+ PyPy is a fast, compliant alternative implementation of the Python language
+ (3.x).
+
+Package: pypy3-venv
+Architecture: all
+Depends:
+ pypy3 (>= ${source:Version}),
+ python3-pip-whl,
+ python3-setuptools-whl,
+ ${misc:Depends}
+Description: fast alternative implementation of Python 3.x - PyPy venv module
+ This package will install the dependencies of the PyPy 3 venv module.
  .
  PyPy is a fast, compliant alternative implementation of the Python language
  (3.x).
