=== debian/rules ===
--- 
+++ 
@@ -77,29 +77,29 @@
 	dh_shlibdeps --arch --remaining-packages
 
 override_dh_installdeb:
-	set -e; for maintscript in preinst postinst prerm; do \
-		sed -e 's/#VERSION#/$(VER)/g' \
-		    -e 's/#ARCH#/$(shell dpkg-architecture -qDEB_HOST_ARCH)/g' \
-		    debian/pypy3.$$maintscript.in > debian/pypy3.$$maintscript; \
-	done
+	debian/scripts/maintscript.sh pypy3.preinst
+	debian/scripts/maintscript.sh pypy3.postinst
+	debian/scripts/maintscript.sh pypy3.prerm
+	debian/scripts/maintscript.sh pypy3-lib.prerm
 	dh_installdeb
 
 HG_REPO ?= https://bitbucket.org/pypy/pypy
-REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
-VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p' | sed -e 's/~//')
+REV = $(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
+DVER = $(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
+UVER = $(shell echo $(DVER) | sed -e 's/~//')
 get-packaged-orig-source:
 	@echo "You can build this from a local repo by supplying the HG_REPO variable"
-	rm -rf pypy3-$(VER).orig
-	hg clone $(HG_REPO) pypy3-$(VER).orig
+	rm -rf pypy3-$(DVER).orig
+	hg clone $(HG_REPO) pypy3-$(DVER).orig
 ifeq (,$(REV))
-	cd pypy3-$(VER).orig && hg up -r release-pypy3.7-v$(VER)
+	cd pypy3-$(DVER).orig && hg up -r release-pypy3.8-v$(UVER)
 else
-	cd pypy3-$(VER).orig && hg up -r $(REV)
+	cd pypy3-$(DVER).orig && hg up -r $(REV)
 endif
-	rm -rf pypy3-$(VER).orig/.hg*
-	rm pypy3-$(VER).orig/lib-python/*/distutils/command/*.exe
-	rm pypy3-$(VER).orig/rpython/rlib/test/loadtest/loadtest*.dll
-	rm -rf pypy3-$(VER).orig/lib-python/*/ensurepip/_bundled/
+	rm -rf pypy3-$(DVER).orig/.hg*
+	rm pypy3-$(DVER).orig/lib-python/*/distutils/command/*.exe
+	rm pypy3-$(DVER).orig/rpython/rlib/test/loadtest/loadtest*.dll
+	rm -rf pypy3-$(DVER).orig/lib-python/*/ensurepip/_bundled/
 	tar -cJ --owner root --group root --mode a+rX \
-	    -f pypy3_$(VER)+dfsg.orig.tar.xz pypy3-$(VER).orig
-	rm -rf pypy3-$(VER).orig
+	    -f pypy3_$(DVER)+dfsg.orig.tar.xz pypy3-$(DVER).orig
+	rm -rf pypy3-$(DVER).orig
